﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_BODYTYPE')
CREATE TABLE T_MPDM_BODYTYPE
(
	  FID               BIGINT                 DEFAULT 0    NOT NULL,          	
	  FNUMBER           NVARCHAR(30)           DEFAULT ' '  NOT NULL, 	
	  FSTATUS           NVARCHAR(1)            DEFAULT ' '  NOT NULL, 	
	  FCREATORID        BIGINT                 DEFAULT 0    NOT NULL,   	
	  FMODIFIERID       BIGINT                 DEFAULT 0    NOT NULL,  	
	  FENABLE           NVARCHAR(1)            DEFAULT ' '  NOT NULL, 	
	  FCREATETIME       DATETIME ,                  	
	  FMODIFYTIME       DATETIME ,                  	
	  FMASTERID         BIGINT                 DEFAULT 0    NOT NULL,    	
	  FCREATEORGID      BIGINT                 DEFAULT 0    NOT NULL, 
	  FORGID            BIGINT                 DEFAULT 0    NOT NULL,       	
	  FUSEORGID         BIGINT                 DEFAULT 0    NOT NULL,      	
	  FCTRLSTRATEGY     NVARCHAR(5)            DEFAULT ' '  NOT NULL, 	
	  FSOURCEDATAID     BIGINT                 DEFAULT 0    NOT NULL, 	
	  FBITINDEX         INT                    DEFAULT 0    NOT NULL,       
	  FSOURCEBITINDEX   INT                    DEFAULT 0    NOT NULL, 	
	  FAUDITORID        BIGINT                 DEFAULT 0    NOT NULL,   
	  FAUDITTIME        DATETIME 
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_BODYTYPE_L')
CREATE TABLE T_MPDM_BODYTYPE_L
(
	  FPKID             NVARCHAR(255)          DEFAULT ' '   NOT NULL,          
	  FID               BIGINT                 DEFAULT 0     NOT NULL,       
	  FLOCALEID         NVARCHAR(255)          DEFAULT ' '   NOT NULL,          
	  FNAME             NVARCHAR(50)           DEFAULT ' '   NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_ENGINETYPE')
CREATE TABLE T_MPDM_ENGINETYPE
(
	  FID               BIGINT                 DEFAULT 0     NOT NULL,          	
	  FNUMBER           NVARCHAR(30)           DEFAULT ' '   NOT NULL, 	
	  FSTATUS           NVARCHAR(1)            DEFAULT ' '   NOT NULL, 	
	  FCREATORID        BIGINT                 DEFAULT 0     NOT NULL,   	
	  FMODIFIERID       BIGINT                 DEFAULT 0     NOT NULL,  	
	  FENABLE           NVARCHAR(1)            DEFAULT ' '   NOT NULL, 	
	  FCREATETIME       DATETIME ,                  	
	  FMODIFYTIME       DATETIME ,                  	
	  FMASTERID         BIGINT                 DEFAULT 0     NOT NULL,    	
	  FCREATEORGID      BIGINT                 DEFAULT 0     NOT NULL, 	
	  FORGID            BIGINT                 DEFAULT 0     NOT NULL,       	
	  FUSEORGID         BIGINT                 DEFAULT 0     NOT NULL,    	
	  FCTRLSTRATEGY     NVARCHAR(5)            DEFAULT ' '   NOT NULL, 	
	  FSOURCEDATAID     BIGINT                 DEFAULT 0     NOT NULL, 	
	  FBITINDEX         INT                    DEFAULT 0     NOT NULL,       	
	  FSOURCEBITINDEX   INT                    DEFAULT 0     NOT NULL, 	
	  FAUDITORID        BIGINT                 DEFAULT 0     NOT NULL,   	
	  FAUDITTIME        DATETIME ,
	  FMODELONE         NVARCHAR(255)          DEFAULT ' '   NOT NULL, 	
	  FMODELTWO         NVARCHAR(255)          DEFAULT ' '   NOT NULL, 	
	  FMODELTRD         NVARCHAR(255)          DEFAULT ' '   NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_ENGINETYPE_L')
CREATE TABLE T_MPDM_ENGINETYPE_L
(
	  FPKID             NVARCHAR(255)          DEFAULT ' '    NOT NULL,          	
	  FID               BIGINT                 DEFAULT 0      NOT NULL,          	
	  FLOCALEID         NVARCHAR(255)          DEFAULT ' '    NOT NULL,          	
	  FNAME             NVARCHAR(50)           DEFAULT ' '    NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_MANUFACTURER')
CREATE TABLE T_MPDM_MANUFACTURER
(
	  FID               BIGINT                 DEFAULT 0      NOT NULL,          	
	  FNUMBER           NVARCHAR(30)           DEFAULT ' '    NOT NULL, 	
	  FSTATUS           NVARCHAR(1)            DEFAULT ' '    NOT NULL, 	
	  FCREATORID        BIGINT                 DEFAULT 0      NOT NULL,   	
	  FMODIFIERID       BIGINT                 DEFAULT 0      NOT NULL,  	
	  FENABLE           NVARCHAR(1)            DEFAULT ' '    NOT NULL, 	
	  FCREATETIME       DATETIME ,                  	
	  FMODIFYTIME       DATETIME ,                  	
	  FMASTERID         BIGINT                 DEFAULT 0      NOT NULL,    	
	  FCREATEORGID      BIGINT                 DEFAULT 0      NOT NULL, 	
	  FORGID            BIGINT                 DEFAULT 0      NOT NULL,       	
	  FUSEORGID         BIGINT                 DEFAULT 0      NOT NULL,    	
	  FCTRLSTRATEGY     NVARCHAR(5)            DEFAULT ' '    NOT NULL, 	
	  FSOURCEDATAID     BIGINT                 DEFAULT 0      NOT NULL, 	
	  FBITINDEX         INT                    DEFAULT 0      NOT NULL,       	
	  FSOURCEBITINDEX   INT                    DEFAULT 0      NOT NULL, 	
	  FAUDITORID        BIGINT                 DEFAULT 0      NOT NULL,   	
	  FAUDITTIME        DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_MANUFACTURER_L')
CREATE TABLE T_MPDM_MANUFACTURER_L
(
	  FPKID             NVARCHAR(255)           DEFAULT ' '    NOT NULL,          	
	  FID               BIGINT                  DEFAULT 0      NOT NULL,          	
	  FLOCALEID         NVARCHAR(255)           DEFAULT ' '    NOT NULL,          	
	  FNAME             NVARCHAR(50)            DEFAULT ' '    NOT NULL 
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_MATERIALMTCGROUP')
CREATE TABLE T_MPDM_MATERIALMTCGROUP
(
	  FID                BIGINT                  DEFAULT 0     NOT NULL,          	
	  FNUMBER            NVARCHAR(30)            DEFAULT ' '   NOT NULL, 	
	  FSTATUS            NVARCHAR(1)             DEFAULT ' '   NOT NULL, 	
	  FCREATORID         BIGINT                  DEFAULT 0     NOT NULL,   	
	  FMODIFIERID        BIGINT                  DEFAULT 0     NOT NULL,  	
	  FENABLE            NVARCHAR(1)             DEFAULT ' '   NOT NULL, 	
	  FCREATETIME        DATETIME ,                  	
	  FMODIFYTIME        DATETIME ,                  	
	  FMASTERID          BIGINT                  DEFAULT 0     NOT NULL,    	
	  FLONGNUMBER        NVARCHAR(50)            DEFAULT ' '   NOT NULL, 	
	  FLEVEL             INT                     DEFAULT 0     NOT NULL,          	
	  FISLEAF            CHAR(1)                 DEFAULT '0'   NOT NULL,   	
	  FPARENTID          BIGINT                  DEFAULT 0     NOT NULL,    	
	  FDISABLERID        BIGINT                  DEFAULT 0     NOT NULL,  	
	  FDISABLEDATE       DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_MATERIALMTCGROUP_L')
CREATE TABLE T_MPDM_MATERIALMTCGROUP_L
(
	  FPKID              NVARCHAR(255)            DEFAULT ' '  NOT NULL,          	
	  FID                BIGINT                   DEFAULT 0    NOT NULL,          	
	  FLOCALEID          NVARCHAR(255)            DEFAULT ' '  NOT NULL,          	
	  FNAME              NVARCHAR(50)             DEFAULT ' '  NOT NULL, 	
	  FFULLNAME          NVARCHAR(50)             DEFAULT ' '  NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_MATERIALMTCINFO')
CREATE TABLE T_MPDM_MATERIALMTCINFO
(
	  FID                    BIGINT               DEFAULT 0   NOT NULL,          	
	  FNUMBER                NVARCHAR(30)         DEFAULT ' ' NOT NULL, 	
	  FSTATUS                NVARCHAR(1)          DEFAULT ' ' NOT NULL, 	
	  FCREATORID             BIGINT               DEFAULT 0   NOT NULL,   	
	  FMODIFIERID            BIGINT               DEFAULT 0   NOT NULL,  	
	  FENABLE                NVARCHAR(1)          DEFAULT ' ' NOT NULL, 	
	  FCREATETIME            DATETIME ,                  	
	  FMODIFYTIME            DATETIME ,                  	
	  FMASTERID              BIGINT               DEFAULT 0   NOT NULL,    	
	  FGROUPID               BIGINT               DEFAULT 0   NOT NULL,     	
	  FORGID                 BIGINT               DEFAULT 0   NOT NULL,       	
	  FCREATEORGID           BIGINT               DEFAULT 0   NOT NULL, 	
	  FUSEORGID              BIGINT               DEFAULT 0   NOT NULL,    	
	  FCTRLSTRATEGY          NVARCHAR(5)          DEFAULT ' ' NOT NULL, 	
	  FSOURCEDATAID          BIGINT               DEFAULT 0   NOT NULL, 	
	  FBITINDEX              INT                  DEFAULT 0   NOT NULL,       	
	  FSOURCEBITINDEX        INT                  DEFAULT 0   NOT NULL, 	
	  FDELIVERYDATE          DATETIME ,                	
	  FFIRSTSTDATE           DATETIME ,                 	
	  FOPERATTYPEID          BIGINT               DEFAULT 0   NOT NULL, 	
	  FMRATYPEID             BIGINT               DEFAULT 0   NOT NULL,   	
	  FMODELONE              NVARCHAR(255)        DEFAULT ' ' NOT NULL, 	
	  FMODELONEMPD           NVARCHAR(255)        DEFAULT ' ' NOT NULL, 	
	  FMODELTWO              NVARCHAR(255)        DEFAULT ' ' NOT NULL, 	
	  FMODELTRD              NVARCHAR(255)        DEFAULT ' ' NOT NULL, 	
	  FENGINETYPEID          BIGINT               DEFAULT 0   NOT NULL, 	
	  FMODELONE1             NVARCHAR(255)        DEFAULT ' ' NOT NULL, 	
	  FMODELTWO1             NVARCHAR(255)        DEFAULT ' ' NOT NULL, 	
	  FMODELTRD1             NVARCHAR(255)        DEFAULT ' ' NOT NULL, 	
	  FSPECIALCONFIGID       BIGINT               DEFAULT 0   NOT NULL, 	
	  FMANUFACTURERID        BIGINT               DEFAULT 0   NOT NULL, 	
	  FAUDITORID             BIGINT               DEFAULT 0   NOT NULL,   	
	  FAUDITTIME             DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_MATERIALMTCINFO_L')
CREATE TABLE T_MPDM_MATERIALMTCINFO_L
(
	  FPKID                  NVARCHAR(255)        DEFAULT ' ' NOT NULL,          	
	  FID                    BIGINT               DEFAULT 0   NOT NULL,          	
	  FLOCALEID              NVARCHAR(255)        DEFAULT ' ' NOT NULL,          	
	  FNAME                  NVARCHAR(50)         DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_MTCENGINEENTRY')
CREATE TABLE T_MPDM_MTCENGINEENTRY
(
	  FID                   BIGINT               DEFAULT 0    NOT NULL,          	
	  FENTRYID              BIGINT               DEFAULT 0    NOT NULL,     	
	  FSEQ                  INT                  DEFAULT 0    NOT NULL,            	
	  FENGINESEQ            NVARCHAR(255)        DEFAULT ' '  NOT NULL, 	
	  FLOCATION             NVARCHAR(255)        DEFAULT ' '  NOT NULL, 	
	  FEGCREATERID          BIGINT               DEFAULT 0    NOT NULL, 	
	  FEGCREATEDATE         DATETIME ,                	
	  FEGMODIFIERID         BIGINT               DEFAULT 0    NOT NULL, 	
	  FEGMODIFYDATE         DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_MRTYPE')
CREATE TABLE T_MPDM_MRTYPE
(
	  FID                                 BIGINT                DEFAULT 0     NOT NULL,          	
	  FNUMBER                             NVARCHAR(30)          DEFAULT ' '   NOT NULL, 	
	  FSTATUS                             NVARCHAR(1)           DEFAULT ' '   NOT NULL, 	
	  FCREATORID                          BIGINT                DEFAULT 0     NOT NULL,   	
	  FMODIFIERID                         BIGINT                DEFAULT 0     NOT NULL,  	
	  FENABLE                             NVARCHAR(1)           DEFAULT ' '   NOT NULL, 	
	  FCREATETIME                         DATETIME ,                  	
	  FMODIFYTIME                         DATETIME ,                  	
	  FMASTERID                           BIGINT                DEFAULT 0     NOT NULL,    	
	  FCREATEORGID                        BIGINT                DEFAULT 0     NOT NULL, 	
	  FORGID                              BIGINT                DEFAULT 0     NOT NULL,       	
	  FUSEORGID                           BIGINT                DEFAULT 0     NOT NULL,    	
	  FCTRLSTRATEGY                       NVARCHAR(5)           DEFAULT ' '   NOT NULL, 	
	  FSOURCEDATAID                       BIGINT                DEFAULT 0     NOT NULL, 	
	  FBITINDEX                           INT                   DEFAULT 0     NOT NULL,       	
	  FSOURCEBITINDEX                     INT                   DEFAULT 0     NOT NULL, 	
	  FAUDITORID                          BIGINT                DEFAULT 0     NOT NULL,   	
	  FAUDITTIME                          DATETIME ,                   	
	  FBODYTYPEID                         BIGINT                DEFAULT 0     NOT NULL,  	
	  FSIZEUNITID                         BIGINT                DEFAULT 0     NOT NULL,  	
	  FWTUNITID                           BIGINT                DEFAULT 0     NOT NULL,    	
	  FLENGTH                             DECIMAL(23,10)        DEFAULT 0     NOT NULL, 	
	  FWIDE                               DECIMAL(23,10)        DEFAULT 0     NOT NULL, 	
	  FHEIGHT                             DECIMAL(23,10)        DEFAULT 0     NOT NULL, 	
	  FLIGHTWEIGHT                        DECIMAL(23,10)        DEFAULT 0     NOT NULL, 	
	  FMAXWEIGHT                          DECIMAL(23,10)        DEFAULT 0     NOT NULL, 	
	  FMODELONE                           NVARCHAR(255)         DEFAULT ' '   NOT NULL, 	
	  FMODELMPDONE                        NVARCHAR(255)         DEFAULT ' '   NOT NULL, 	
	  FMODELTWO                           NVARCHAR(255)         DEFAULT ' '   NOT NULL, 	
	  FMODELTRD                           NVARCHAR(255)         DEFAULT ' '   NOT NULL, 	
	  FATTACHMENTCOUNT                    INT                   DEFAULT 0     NOT NULL, 	
	  FMANUFACTURERID                     BIGINT                DEFAULT 0     NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_MRTYPE_L')
CREATE TABLE T_MPDM_MRTYPE_L
(
	  FPKID                               NVARCHAR(255)         DEFAULT ' '   NOT NULL,          	
	  FID                                 BIGINT                DEFAULT 0     NOT NULL,          	
	  FLOCALEID                           NVARCHAR(255)         DEFAULT ' '   NOT NULL,          	
	  FNAME                               NVARCHAR(50)          DEFAULT ' '   NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_OPERATTYPE')
CREATE TABLE T_MPDM_OPERATTYPE
(
	  FID                                BIGINT               DEFAULT 0      NOT NULL,          	
	  FNUMBER                            NVARCHAR(30)         DEFAULT ' '    NOT NULL, 	
	  FSTATUS                            NVARCHAR(1)          DEFAULT ' '    NOT NULL, 	
	  FCREATORID                         BIGINT               DEFAULT 0      NOT NULL,   	
	  FMODIFIERID                        BIGINT               DEFAULT 0      NOT NULL,  	
	  FENABLE                            NVARCHAR(1)          DEFAULT ' '    NOT NULL, 	
	  FCREATETIME                        DATETIME ,                  	
	  FMODIFYTIME                        DATETIME ,                  	
	  FMASTERID                          BIGINT               DEFAULT 0       NOT NULL,    	
	  FCREATEORGID                       BIGINT               DEFAULT 0       NOT NULL, 	
	  FORGID                             BIGINT               DEFAULT 0       NOT NULL,       	
	  FUSEORGID                          BIGINT               DEFAULT 0       NOT NULL,    	
	  FCTRLSTRATEGY                      NVARCHAR(5)          DEFAULT ' '     NOT NULL, 	
	  FSOURCEDATAID                      BIGINT               DEFAULT 0       NOT NULL, 	
	  FBITINDEX                          INT                  DEFAULT 0       NOT NULL,       	
	  FSOURCEBITINDEX                    INT                  DEFAULT 0       NOT NULL, 	
	  FAUDITORID                         BIGINT               DEFAULT 0       NOT NULL,   	
	  FAUDITTIME                         DATETIME 
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_OPERATTYPE_L')
CREATE TABLE T_MPDM_OPERATTYPE_L
(
	  FPKID                        NVARCHAR(255)              DEFAULT ' '     NOT NULL,          	
	  FID                          BIGINT                     DEFAULT 0       NOT NULL,          	
	  FLOCALEID                    NVARCHAR(255)              DEFAULT ' '     NOT NULL,          	
	  FNAME                        NVARCHAR(50)               DEFAULT ' '     NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_SPECIALCONFIG')
CREATE TABLE T_MPDM_SPECIALCONFIG
(
	  FID                          BIGINT                     DEFAULT 0       NOT NULL,          	
	  FNUMBER                      NVARCHAR(30)               DEFAULT ' '     NOT NULL, 	
	  FSTATUS                      NVARCHAR(1)                DEFAULT ' '     NOT NULL, 	
	  FCREATORID                   BIGINT                     DEFAULT 0       NOT NULL,   	
	  FMODIFIERID                  BIGINT                     DEFAULT 0       NOT NULL,  	
	  FENABLE                      NVARCHAR(1)                DEFAULT ' '     NOT NULL, 	
	  FCREATETIME                  DATETIME ,                  	
	  FMODIFYTIME                  DATETIME ,                  	
	  FMASTERID                    BIGINT                     DEFAULT 0       NOT NULL,    	
	  FCREATEORGID                 BIGINT                     DEFAULT 0       NOT NULL, 	
	  FORGID                       BIGINT                     DEFAULT 0       NOT NULL,       	
	  FUSEORGID                    BIGINT                     DEFAULT 0       NOT NULL,    	
	  FCTRLSTRATEGY                NVARCHAR(5)                DEFAULT ' '     NOT NULL, 	
	  FSOURCEDATAID                BIGINT                     DEFAULT 0       NOT NULL, 	
	  FBITINDEX                    INT                        DEFAULT 0       NOT NULL,       	
	  FSOURCEBITINDEX              INT                        DEFAULT 0       NOT NULL, 	
	  FAUDITORID                   BIGINT                     DEFAULT 0       NOT NULL,   	
	  FAUDITTIME                   DATETIME 
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_SPECIALCONFIG_L')
CREATE TABLE T_MPDM_SPECIALCONFIG_L
(
	  FPKID                       NVARCHAR(255)               DEFAULT ' '     NOT NULL,          	
	  FID                         BIGINT                      DEFAULT 0       NOT NULL,          	
	  FLOCALEID                   NVARCHAR(255)               DEFAULT ' '     NOT NULL,          	
	  FNAME                       NVARCHAR(50)                DEFAULT ' '     NOT NULL
);





























